import { Method } from 'axios';
import { Executable } from './executable';
/**
 * Delete a wallet by passId or email and programId.
 */
export declare class DeleteWallet extends Executable<boolean> {
    brandId?: number;
    programId?: number;
    email?: string;
    passId?: number;
    getMethod(): Method;
    getResponse(apiResponse: any): boolean;
    getURLPath(tenantId?: string): string;
    constructor(brandId: number, passId?: number, programId?: number, email?: string);
    /**
     * getBody is used by the BambuClient to properly construct the request object body.
     * @returns Returns the expected body of the request utilizing the defined request attributes.
     */
    getBody(): undefined;
    /**
     * getRootPath is used by the BambuClient to properly construct the request call.
     * @returns The root path of the request
     */
    getRootPath(): string | undefined;
}
