import { Method } from 'axios';
import { IWorkflow } from './interfaces';
import { Executable } from './executable';
export interface IExecuteWorkflowResponse {
    message: string;
}
export declare class ExecuteWorkflow extends Executable<IExecuteWorkflowResponse> implements Partial<IWorkflow> {
    /**
     * The brand identifier.
     */
    brandId?: number;
    /**
     * The program identifier.
     */
    programId?: number;
    /**
     * The workflow identifier.
     */
    workflowId?: string;
    /**
     * The pass identifier - provide either this, passSerialNo or uniqueId.
     */
    passId?: number;
    /**
     * The pass unique identifier - provide either this, passId or passSerialNo.
     */
    uniqueId?: string;
    /**
     * The pass serial number - provide either this, passId or uniqueId.
     */
    passSerialNo?: string;
    getMethod(): Method;
    getResponse(apiResponse: any): IExecuteWorkflowResponse;
    getURLPath(tenantId?: string): string;
    constructor(input?: Partial<IWorkflow> & {
        brandId: number;
        programId: number;
    });
    /**
     * getBody is used by the BambuClient to properly construct the request object body.
     * @returns Returns the expected body of the request utilizing the defined request attributes.
     */
    getBody(): Partial<IWorkflow>;
    /**
     * getRootPath is used by the BambuClient to properly construct the request call.
     * @returns The root path of the request
     */
    getRootPath(): string | undefined;
}
