import { Method } from 'axios';
import { Executable } from '../executable';
import { BambuBrand, BambuBrandUIConfig } from '../interfaces/brands';
/**
 * The CreateBrandInput used by the constructor of CreateBrand
 */
export declare class CreateBrand extends Executable<BambuBrand> implements Partial<BambuBrand> {
    name?: string;
    description?: string;
    tenantId?: number;
    logo?: string;
    reportSite?: string;
    externalIdentifier?: string;
    uiConfig?: BambuBrandUIConfig;
    getMethod(): Method;
    getResponse(apiResponse: any): BambuBrand;
    getURLPath(tenantId?: string): string;
    constructor(input?: Partial<BambuBrand> & {
        tenantId: number;
        name: string;
    });
    /**
     * getBody is used by the BambuClient to properly construct the request object body.
     * @returns Returns the expected body of the request utilizing the defined request attributes.
     */
    getBody(): Partial<BambuBrand> & {
        tenantId: number;
        name: string;
    };
    /**
     * getRootPath is used by the BambuClient to properly construct the request call.
     * @returns The root path of the request
     */
    getRootPath(): string | undefined;
}
