import { Method } from 'axios';
import { Executable } from '../executable';
/**
 * The the program for the provided programId.
 */
export declare class DeleteProgram extends Executable<boolean> {
    brandId?: number;
    programId?: number;
    getMethod(): Method;
    getResponse(apiResponse: any): boolean;
    getURLPath(tenantId?: string): string;
    constructor(brandId: number, programId: number);
    /**
     * getBody is used by the BambuClient to properly construct the request object body.
     * @returns Returns the expected body of the request utilizing the defined request attributes.
     */
    getBody(): undefined;
    /**
     * getRootPath is used by the BambuClient to properly construct the request call.
     * @returns The root path of the request
     */
    getRootPath(): string | undefined;
}
