import { Method } from 'axios';
import { Executable } from '../executable';
import { BambuBrandAttribute } from '../interfaces/brands';
/**
 * The attributes defined for the provided brand.
 */
export declare class GetBrandAttributes extends Executable<BambuBrandAttribute[]> {
    brandId: number;
    getMethod(): Method;
    getResponse(apiResponse: any): BambuBrandAttribute[];
    getURLPath(tenantId?: string): string;
    constructor(brandId: number);
    /**
     * getBody is used by the BambuClient to properly construct the request object body.
     * @returns Returns the expected body of the request utilizing the defined request attributes.
     */
    getBody(): undefined;
    /**
     * getRootPath is used by the BambuClient to properly construct the request call.
     * @returns The root path of the request
     */
    getRootPath(): string | undefined;
}
