import { Method } from 'axios';
import { Executable } from '../executable';
import { BambuBrand } from '../interfaces/brands';
/**
 * Gets the brand for the provided brandId.
 */
export declare class GetBrand extends Executable<BambuBrand> {
    /**
     * The brandId of the brand to retrieve.
     */
    brandId?: number;
    getMethod(): Method;
    getResponse(apiResponse: any): BambuBrand;
    getURLPath(tenantId?: string): string;
    constructor(brandId: number);
    /**
     * getBody is used by the BambuClient to properly construct the request object body.
     * @returns Returns the expected body of the request utilizing the defined request attributes.
     */
    getBody(): undefined;
    /**
     * getRootPath is used by the BambuClient to properly construct the request call.
     * @returns The root path of the request
     */
    getRootPath(): string | undefined;
}
