import { Method } from 'axios';
import { Executable } from '../executable';
import { BambuBrand } from '../interfaces/brands';
/**
 * The the brands that belong to the tenant.
 */
export declare class GetBrands extends Executable<BambuBrand[]> {
    getMethod(): Method;
    getResponse(apiResponse: any): BambuBrand[];
    getURLPath(tenantId?: string): string;
    constructor();
    /**
     * getBody is used by the BambuClient to properly construct the request object body.
     * @returns Returns the expected body of the request utilizing the defined request attributes.
     */
    getBody(): undefined;
    /**
     * getRootPath is used by the BambuClient to properly construct the request call.
     * @returns The root path of the request
     */
    getRootPath(): string | undefined;
}
