import { Method } from 'axios';
import { Executable } from '../executable';
import { WalletUploadLocation } from '../interfaces';
/**
 * Get a list of upload locations to use for uploading images to the wallet.
 */
export declare class GetImageUploadLocations extends Executable<WalletUploadLocation[]> {
    /**
     * The brandId of the brand to retrieve upload locations for.
     */
    brandId: number;
    /**
     * The number of images you want to upload.  Defaults to 1
     */
    amount: number;
    getMethod(): Method;
    getResponse(apiResponse: any): WalletUploadLocation[];
    getURLPath(tenantId?: string): string;
    constructor(brandId: number, amount?: number);
    /**
     * getBody is used by the BambuClient to properly construct the request object body.
     * @returns Returns the expected body of the request utilizing the defined request attributes.
     */
    getBody(): undefined;
    /**
     * getRootPath is used by the BambuClient to properly construct the request call.
     * @returns The root path of the request
     */
    getRootPath(): string | undefined;
}
