import { Method } from 'axios';
import { Executable } from '../executable';
import { ILinkActivation } from '..';
/**
 * The GetLinkActivation retrieves the an activation links for a program to issue cards with.
 */
export declare class GetLinkActivations extends Executable<ILinkActivation[]> {
    brandId: number;
    programId: number;
    getMethod(): Method;
    getResponse(apiResponse: any): ILinkActivation[];
    getURLPath(tenantId?: string): string;
    constructor(brandId: number, programId: number);
    /**
     * getBody is used by the BambuClient to properly construct the request object body.
     * @returns Returns the expected body of the request utilizing the defined request attributes.
     */
    getBody(): any;
    /**
     * getRootPath is used by the BambuClient to properly construct the request call.
     * @returns The root path of the request
     */
    getRootPath(): string | undefined;
}
