import { Method } from 'axios';
import { Executable } from '../executable';
import { IWalletTemplateCreateInput, BambuPassStyles } from '../interfaces/wallet-template';
export interface IWalletTemplateResponse extends Required<IWalletTemplateCreateInput> {
}
export interface IGetWalletTemplateInput {
    brandId: number;
    programId: number;
}
export declare class GetWalletTemplate extends Executable<IWalletTemplateResponse> implements Partial<IGetWalletTemplateInput> {
    brandId?: number;
    programId?: number;
    getMethod(): Method;
    getResponse(apiResponse: any): IWalletTemplateResponse;
    getURLPath(tenantId?: string): string;
    constructor(input?: Partial<IGetWalletTemplateInput> & {
        tenantId: number;
        name: string;
    });
    /**
     * getBody is used by the BambuClient to properly construct the request object body.
     * @returns Returns the expected body of the request utilizing the defined request attributes.
     */
    getBody(): any;
    /**
     * getRootPath is used by the BambuClient to properly construct the request call.
     * @returns The root path of the request
     */
    getRootPath(): string | undefined;
}
export { BambuPassStyles };
