import { Method } from 'axios';
import { Executable } from '../executable';
import { BambuBrandAttribute } from '../interfaces';
/**
 * The UpdateBrandAttribute used by the constructor of Update Brand Attribute
 */
export declare class UpdateBrandAttribute extends Executable<BambuBrandAttribute> implements Partial<BambuBrandAttribute> {
    brandAttributeId?: number;
    brandId?: number;
    name?: string;
    description?: string;
    required?: boolean;
    unique_key?: boolean;
    encrypted?: boolean;
    searchable?: boolean;
    dataType?: string;
    getMethod(): Method;
    getResponse(apiResponse: any): BambuBrandAttribute;
    getURLPath(tenantId?: string): string;
    constructor(input?: Partial<BambuBrandAttribute> & {
        brandAttributeId: number;
        brandId: number;
        name: string;
    });
    /**
     * getBody is used by the BambuClient to properly construct the request object body.
     * @returns Returns the expected body of the request utilizing the defined request attributes.
     */
    getBody(): Partial<BambuBrandAttribute> & {
        brandId: number;
        name: string;
    };
    /**
     * getRootPath is used by the BambuClient to properly construct the request call.
     * @returns The root path of the request
     */
    getRootPath(): string | undefined;
}
