import { Method } from 'axios';
import { Executable, IPrepareRequestOptions } from '../executable';
import { IWalletTemplateUpdateInput, IWalletTemplatePassData, IWalletTemplateAndroidPassData, IWalletTemplateFieldMapping, BambuPassStyles } from '../interfaces/wallet-template';
export interface IWalletTemplateUpdateResponse {
    templateId: number;
    message: string;
}
export interface IWalletTemplateUpdateExtendedInput extends IWalletTemplateUpdateInput {
    brandId: number;
    programId: number;
}
export declare class UpdateWalletTemplate extends Executable<IWalletTemplateUpdateResponse> implements Partial<IWalletTemplateUpdateExtendedInput> {
    brandId?: number;
    programId?: number;
    name?: string;
    organizationName?: string;
    sharingProhibited?: boolean;
    sharingUrl?: string;
    passdata?: IWalletTemplatePassData;
    androidPassData?: IWalletTemplateAndroidPassData;
    fieldMappings?: IWalletTemplateFieldMapping[];
    walletIdentifierId?: number;
    defaultMessage?: string;
    getMethod(): Method;
    prepareRequest({ execute }: IPrepareRequestOptions): Promise<any>;
    getResponse(apiResponse: any): IWalletTemplateUpdateResponse;
    getURLPath(tenantId?: string): string;
    constructor(input?: Partial<IWalletTemplateUpdateExtendedInput> & {
        tenantId: number;
        name: string;
    });
    /**
     * getBody is used by the BambuClient to properly construct the request object body.
     * @returns Returns the expected body of the request utilizing the defined request attributes.
     */
    getBody(): Partial<IWalletTemplateUpdateExtendedInput>;
    /**
     * getRootPath is used by the BambuClient to properly construct the request call.
     * @returns The root path of the request
     */
    getRootPath(): string | undefined;
}
export { BambuPassStyles };
