import { Method } from 'axios';
import { Executable } from '../executable';
export interface IUploadTemporaryFileResponse {
    uploadUrl: string;
    key: string;
}
export interface IUploadTemporaryFileInput {
    amount?: number;
    brandId: number;
}
export declare class UploadTemporaryFile extends Executable<IUploadTemporaryFileResponse[]> implements Partial<IUploadTemporaryFileInput> {
    amount: number;
    brandId?: number;
    getMethod(): Method;
    getResponse(apiResponse: any): IUploadTemporaryFileResponse[];
    getURLPath(tenantId?: string): string;
    constructor(input?: Partial<IUploadTemporaryFileInput>);
    /**
     * getBody is used by the BambuClient to properly construct the request object body.
     * @returns Returns the expected body of the request utilizing the defined request attributes.
     */
    getBody(): any;
    /**
     * getRootPath is used by the BambuClient to properly construct the request call.
     * @returns The root path of the request
     */
    getRootPath(): string | undefined;
}
